$('#swimlane-1step0bufferheader').droppable({
    accept      : "div",
    tolerance   : "pointer",
    hoverClass  : "dragdrop"
});

$('#swimlane-1step0bufferheader').on("drop", function(e, ui){
    var id = "";
    idstate = ui.draggable.attr("id");
    [swimlane, id, stepno, steprole, state, original_priority, severity, special, release_no] = idstate.split('###');
    if (special === 'expedite') {
        $('#swimlane-1step0bufferexpedite').html('<img src="/images/ajax-loader.gif">').load('/kanban/dropped_on_step_expedite', {step_no:'0', step_role:'buffer',  doc_id:id});
    } else {
        $('#swimlane'+swimlane+'step0buffer'+original_priority).html('<img src="/images/ajax-loader.gif">').load('/kanban/dropped_on_step_priority', {swimlane_no:'-1', step_no:'0', step_role:'buffer', priority:original_priority, doc_id:id});
    }
    if (special === 'expedite') {
        $('#swimlane'+swimlane+'step'+stepno+steprole+special).html('<img src="/images/ajax-loader.gif">').load('/kanban/step_'+steprole+'_'+special, {swimlane_no:swimlane, step_no:stepno});
    } else {
        $('#swimlane'+swimlane+'step'+stepno+steprole+original_priority).html('<img src="/images/ajax-loader.gif">').load('/kanban/step_'+steprole+'_'+original_priority, {swimlane_no:swimlane, step_no:stepno});
    }
});